Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class CachedResourceImpl

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.richfaces.resource.CachedResourceImpl

All Implemented Interfaces:
  org.richfaces.resource.CacheableResource

    public class CachedResourceImpl

extends AbstractCacheableResource

Since:
  4.0
Author:
  Nick Belaevski

Field Summary

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`CachedResourceImpl()`

Method Summary
`java.lang.String` | `getEntityTag(javax.faces.context.FacesContext context)`
`java.util.Date` | `getExpired(javax.faces.context.FacesContext context)`
`java.io.InputStream` | `getInputStream()`
`protected java.util.Date` | `getLastModified(javax.faces.context.FacesContext context)` TODO optimize/review?
`java.lang.String` | `getRequestPath()`
`java.util.Map<java.lang.String,java.lang.String>` | `getResponseHeaders()`
`java.net.URL` | `getURL()`
`void` | `initialize(javax.faces.application.Resource resource)`
`boolean` | `isCacheable(javax.faces.context.FacesContext context)`
`java.lang.String` | `toString()`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, getExpires, getTimeToLive, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getContentLength`

Methods inherited from class javax.faces.application.Resource
`getContentType, getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CachedResourceImpl

    public CachedResourceImpl()

Method Detail

### initialize

    public void initialize(javax.faces.application.Resource resource)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in class `javax.faces.application.Resource`
  Throws:
    `java.io.IOException`

### getRequestPath

    public java.lang.String getRequestPath()

  Overrides:
    `getRequestPath` in class `AbstractBaseResource`

### getResponseHeaders

    public java.util.Map<java.lang.String,java.lang.String> getResponseHeaders()

  Overrides:
    `getResponseHeaders` in class `AbstractBaseResource`

### getURL

    public java.net.URL getURL()

  Overrides:
    `getURL` in class `AbstractBaseResource`

### isCacheable

    public boolean isCacheable(javax.faces.context.FacesContext context)

  Specified by:
    `isCacheable` in interface `org.richfaces.resource.CacheableResource`
  Overrides:
    `isCacheable` in class `AbstractCacheableResource`

### getEntityTag

    public java.lang.String getEntityTag(javax.faces.context.FacesContext context)

  Specified by:
    `getEntityTag` in interface `org.richfaces.resource.CacheableResource`
  Overrides:
    `getEntityTag` in class `AbstractCacheableResource`

### getLastModified

    protected java.util.Date getLastModified(javax.faces.context.FacesContext context)

  Description copied from class: `AbstractBaseResource`
  TODO optimize/review?

  Overrides:
    `getLastModified` in class `AbstractBaseResource`
  Returns:
    Returns the lastModified.

### getExpired

    public java.util.Date getExpired(javax.faces.context.FacesContext context)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `javax.faces.application.Resource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.